MLXTRACE(1)

NAME
mlxtrace - manual page for mlxtrace 4.19.0

SYNOPSIS
mlxtrace [OPTION]...

DESCRIPTION
Mellanox HW Events Collector/Parser

-h| --help
    Print help and exit

-v| --version
    Print version (default=off)

--create_cfg <Dir>
    Create cfg files

-p| --parse
    Move to parser mode (default=off)

    Mode: CollectMode

-d| --device <MstDev>
    Mst device

-m| --mode <Mode>
    Activation mode: FIFO - HW BUFFER , MEM - KERNEL BUFFER (possible values=["FIFO"/ "MEM"]

-a| --mem_access <MemMethod>
    Memory access method: OB_GW, VMEM, UDRIVER (possible values="[OB_GW"/ "VMEM"/ "UDRIVER")

-c| --cfg <CfgFile>
    Mlxtrace configuration file

-o| --trc_file <TrcPath>
    Output TRC file path (default=`mlxtrace.trc')

-C| --config_only
    Configure tracer and exit (default=off)

-n| --snapshot
    Take events snapshot - this assumes previous run with --config_only (default=off)

-s| --buf_size <BufSize>
    User buffer size MB (default=`1')

-S| --stream
    Don't save events to file parse it immediately (default=off)

--ignore_old_events
    Ignore collecting old events in MEM mode (default=off)

-g| --continuous_fill
    Do not stop recording (stopping only with ^C), keep filling user's buffer cyclicly (default=off)

--sample_delay=Delay
    Delay between samples when polling new events in usec (default=`0')

--keep_running
    Keep the HW tracer unit running after exit (default=off)

--enable_limiting_every_chunk
    Limit the HW tracer after reading every chunk

    (default=off)

--skip_ownership
    Skip taking ownership (default=off)

    Mode: ParseMode

-i| --input <TrcFile>
    Input file (default=`mlxtrace.trc')

--csv_mode
    Enable csv output format (default=off)

--print_ts
    Print timestamp events (default=off)

-r| --real_ts
    Print real timestamps in hh:mm:ss.nsec format (default=off)

--print_raw
    Print event bytes in each line header (default=off)

--ts_format <format>
    Choose printed TS format hex/dec (possible values=["hex"/ "dec"] default=`dec')

--print_delta
    Enable printing delta between events (in cycles) (default=off)

-f| --print_file <FilePath>
    Print parsed event to the given file and not to stdout

--convert_cfg <CfgFile>
    Convert configuration file to external version

--ext_name <Name>
    Name of output external cfg file (default=`ext.cfg')

--debug_parse_dump
    Parse and print the given dump file in raw format (default=off)

--enable_db_check
    Enable events DB checks (default=off)

  Single Event Parsing:

-D| --device_type <STRING>
    The device type, see --device_type_list

--enum_csv <STRING>
    The enum csv file path, if not given internal DB will be used

--filter_csv <STRING>
    The filter csv file path, if not given internal DB will be used

--event_csv <STRING>
    The event csv file path, if not given internal DB will be used

-e| --event <STRING>
    The event 8 bytes

--cr_cf_val <LONG>
    The crspace chooser field value (default=`0')

--device_type_list
    Print a list of supported devices types

SEE ALSO
The full documentation for mlxtrace is maintained as a Texinfo manual. If the info and mlxtrace programs are properly installed at your site, the command

    info mlxtrace

should give you access to the complete manual.